# Proastro Tcl Build in command test script
# Last modified 12/2002
# Patrick REGNIER
# s.z.s.d. = sign zodiac same direction
# s.z.o.d. = sign zodiac opposite direction

PutTxt "--- SetPRDebug ---"
# Note:
# setting debug on will force a flush to stderr and stdout after each output,
# slowing down your computer
SetPRDebug -off

PutTxt "PR Debug is [GetPRDebug]"

#source "D:/Tcl_bin/lib/tcl8.0/init.tcl"

#PutTxt "---- environment variables ----"
#PutTxt "Number of env variable = [array size env]"

#foreach i [array names env] {
#PutTxt -nonewline $i
#PutTxt -nonewline " is "
#PutTxt $env($i)
#}

#PutTxt "---- errorCode ----"
#set l  [llength errorCode]
#
#for {set i 0} {$i<$l} {incr i} {
#PutTxt [lindex errorCode $i]
#}
#
#PutTxt "---- errorInfo ----"
#if {1 == [info exists erroInfo]} {
#PutTxt "errorInfo is $errorInfo"
#} else {PutTxt "errorInfo is not set"}
#
#PutTxt "---- tcl_library ----"
#if {1 == [info exists tcl_library]} {
#PutTxt "tcl_library is $tcl_library"
#} else {
#PuTtxt "tcl_library is not set"
#}
#
#PutTxt "---- tcl_patchLevel ----"
#if {1 == [info exists tcl_patchLevel]} {
#PutTxt "tcl_patchLevel is $tcl_patchLevel"
#} else { PutTxt "tcl_patchLevel not set"}
#
#PutTxt "---- tcl_pkgPath ----"
#if {1 == [info exists tcl_pkgPath]} {
#PutTxt "tcl_pkgPath is $tcl_pkgPath"
#} else { PutTxt "tcl_pkgPath is not set"}
#
#PutTxt "---- tcl_platform ----"
#foreach i [array names tcl_platform] {
#PutTxt -nonewline $i
#PutTxt -nonewline " is "
#PutTxt $tcl_platform($i)
#}
#
#PutTxt "---- tcl_precision ----"
#PutTxt "tcl_precision is $tcl_precision"
#
#PutTxt "---- tcl_rcFileName ----"
#if {1 == [info exists tcl_rcFileName]} {
#PutTxt "tcl_rcFileName is $tcl_rcFileName"
#}
#
#PutTxt "---- tcl_traceCompile ----"
#if {1 == [info exists tcl_traceCompile]} {
#PutTxt "tcl_traceCompile is $tcl_traceCompile"
#} else {PutTxt "tcl_traceCompile not set " }
#
#PutTxt "---- tcl_traceExec ----"
#if {1 == [info exists tcl_traceExec]} {
#PutTxt "tcl_traceExec is $tcl_traceExec"
#} else {
#PutTxt "tcl_traceExec is not set"	
#}
#
#PutTxt "---- tcl_version ----"
#PutTxt "tcl_version is $tcl_version"
#
#PutTxt "----- tk version ----"
#if {1 == [info exists tk_version]} {
#PutTxt "$tk_version"
#} else { PutTxt " tk_version not set" }

PutTxt ""
PutTxt "----- Type of Astrology = [GetAstroType] ----"

PutTxt ""
PutTxt "----- House direction = [isSHSD] ----"

PutTxt ""
PutTxt "----- House Cuspide Center  = [isHouseCuspCenter] ----"


set var_lang [GetLang]

PutTxt ""
PutTxt "----- Language = $var_lang ----"


if {$var_lang == "FR"} {
  set date_sample  "1970-10-15"
  set hour_sample  "12:15"
  set longitude_sample  "0h1' E"
  set longitude_sample_degrees  "0d15' E"
  set latitude_sample   "48d0' N"
 } else {
  set date_sample  "1970-10-15"
  set hour_sample  "12:15"
  set longitude_sample  "0h1' E"
  set latitude_sample   "48d0' N"
  set longitude_sample_degrees  "0d15' E"
 }

set title "Open Horoscope "

if { ![SetCurrentHoroscope -title $title] } {

 PutTxt "*** Warning: Current horoscope not set. Default horoscope used ***"
 ComputeHoroscope -datehourUT $date_sample $hour_sample -place_longitude 0h1' E -place_latitude 48d0 N -city_name "Le Mans" -county_name Sarthe -country_name France -name Régnier -first_name Patrick -sex M 

}

#test outof range horoscope
# uncomment to verify that ComputeHoroscope return error if out of range
#PutTxt "*** ComputeHoroscope: test outof range date ***"

#set date_sample  "-20000-10-15"
#set hour_sample  "12:15"
#set longitude_sample  "0h1' E"
#set latitude_sample   "48d0' N"
#set longitude_sample_degrees  "0d15' E"

#ComputeHoroscope -datehourUT $date_sample $hour_sample -place_longitude 0h1' E -place_latitude 48d0 N -city_name "Le Mans" -county_name Sarthe -country_name France -name Régnier -first_name Patrick -sex M 



PutTxt ""
PutTxt "---------------------"
PutTxt "Current horoscope= [GetCurrentHoroscopeNumber]"
PutTxt "---------------------"
PutTxt ""

PutTxt "hello is 你好 in Chinese (UTF-8 test)"

PutTxt "--- Name ---"
PutTxt [Name]

PutTxt "--- FirstName ---"
PutTxt [FirstName]

PutTxt "--- Sex ---"
PutTxt [Sex]


PutTxt "--- BirthCounty ---"
PutTxt [BirthCounty]

PutTxt "--- BirthCity ---"
PutTxt [BirthCity]

PutTxt "--- BirthTZ ---"
PutTxt [BirthTZ]

PutTxt "--- BirthState ---"
PutTxt [BirthState]

PutTxt "--- BirthCountry ---"
PutTxt [BirthCountry]

PutTxt "--- BirthDateHourUT ---"
PutTxt [BirthDateHourUT]

PutTxt "--- Name of signs ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 } {
 PutTxt [NameOfSign $i ]
}

PutTxt "--- Name of planets ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
  PutTxt [NameOfPlanet $i]
}


PutTxt "--- Fixed (Hindu) longitude of planets ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 PutTxt "Longitude of [NameOfPlanet $i] is [FixLongOfPlanet $i ] = [LongOfPlanet $i -fix] = [FormatSignLongitude [LongOfPlanet $i -fix] ]"
}

PutTxt "--- Movable (Occidental) longitudes of planets ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 PutTxt "Longitude of [NameOfPlanet $i] is [MovLongOfPlanet $i ] = [LongOfPlanet $i -mov] "
}


PutTxt "--- Fixed sign of planets ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
  PutTxt " [NameOfPlanet $i] [FixSignOccupiedByPlanet $i] = [SignOfPlanet $i -fix -rasi] ([NameOfSign [SignOfPlanet $i -fix -rasi] ])    Navamsa sign is [NameOfSign [SignOfPlanet $i -nav -fix]]"
}

PutTxt "--- SignOfPoint ---"

for {set i 0} {$i < [GetPlanetCount]} {incr i} {
  set long_point [LongOfPlanet $i -fix]
  PutTxt "Sign of planet [NameOfPlanet $i] [NameOfSign [SignOfPlanet $i -rasi -fix]] = [NameOfSign [SignOfPoint $long_point]]"
}


PutTxt "--- Movable sign of planets ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
  PutTxt " [NameOfPlanet $i] [MovSignOccupiedByPlanet $i] = [SignOfPlanet $i -rasi -mov] ([NameOfSign [SignOfPlanet $i -rasi -mov] ]) "
}


PutTxt "--- Sign of houses ---"
for {set i 1} {$i < 13} {incr i} {
PutTxt "Fixed sign of house $i is [NameOfSign [SignOfHouse $i -fix -rasi -shsd]], movable sign is [NameOfSign [SignOfHouse $i -rasi -mov -shsd]]  "
}

PutTxt "--- Navamsas signs of houses ---"
for {set i 1} {$i < 13} {incr i} {
PutTxt "Navamsa sign of house (shsd) $i is [NameOfSign [SignOfHouse $i -fix -nav -shsd]] and (shod) [NameOfSign [SignOfHouse $i -fix -nav -shod]]"
}


PutTxt "--- Planets in houses, house and sign same direction ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 if {($i != 7) && ($i != 8)} {
  PutTxt "[NameOfPlanet $i] [HouseOccupiedByPlanet $i ]=[HouseOfPlanet $i -rasi -shsd]"
 } 
}

PutTxt "--- Planets in houses, house and sign in opposite directions (Dorsan method) ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 if {($i != 7) && ($i != 8)} {
  PutTxt "[NameOfPlanet $i] [HouseOccupiedByPlanet2 $i ]=[HouseOfPlanet $i -rasi -shod]"
 }
}

PutTxt "--- Planets in houses shsd, longitude of house being the center of the house ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 if {($i != 7) && ($i != 8)} {
  PutTxt "[NameOfPlanet $i] [HouseOccupiedByPlanet -center $i ]=[HouseOfPlanet $i -rasi -center -shsd]"
 }
}

PutTxt "--- Planets in house, Dorsan method, longitude of house is center of house ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 if {($i != 7) && ($i != 8)} {
  PutTxt "[NameOfPlanet $i] [HouseOccupiedByPlanet2 -center $i ]=[HouseOfPlanet $i -rasi -center -shod]"
}
}

PutTxt "--- House of planet, navamsa shsd ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 if {($i != 7) && ($i != 8)} {
  PutTxt "[NameOfPlanet $i] =[HouseOfPlanet $i -nav -shsd]"
}
}

PutTxt "--- House of planet, navamsa sign and planet in opposite direction ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 if {($i != 7) && ($i != 8)} {
  PutTxt "[NameOfPlanet $i] =[HouseOfPlanet $i -nav -shod]"
 }
}

PutTxt "--- House of point, sign and planet in same direction rasi ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 set lp [LongOfPlanet $i -fix]
 PutTxt "[NameOfPlanet $i] =[HouseOfPoint $lp -shsd -fix -rasi]"
}

PutTxt "--- House of point, sign and planet in opposite direction rasi ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 set lp [LongOfPlanet $i -fix]
 PutTxt "[NameOfPlanet $i] =[HouseOfPoint $lp -shod -fix -rasi]"
}

PutTxt "--- House of point, sign and planet in opposite direction navamsa ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 set lp [expr [SignOfPlanet $i -fix -nav]*30 + 15]
 PutTxt "[NameOfPlanet $i] =[HouseOfPoint $lp -shod -fix -nav]"
}



PutTxt "--- Lord of signs ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11} {
 PutTxt "First Lord of sign [NameOfSign $i ] is [NameOfPlanet [LordOfSign $i ] ]"

set temp_lord [LordOfSign $i -second]
	
if {$temp_lord > 0} {
  PutTxt "Second Lord of [NameOfSign $i ] is [NameOfPlanet $temp_lord]"
 }
 

}

PutTxt "--- Lord of planets mov rasi ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 PutTxt "Lord of planet [NameOfPlanet $i ] is [NameOfPlanet [LordOfPlanet $i -mov -rasi] ]"

set temp_lord [LordOfPlanet $i -second -mov -rasi ]
	
if {$temp_lord > 0} {
  PutTxt "Second Lord of [NameOfPlanet $i ] is [NameOfPlanet $temp_lord]"
 }
 
}

PutTxt "--- Lord of planets fix rasi ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 PutTxt "Lord of planet [NameOfPlanet $i ] is [NameOfPlanet [LordOfPlanet $i -fix -rasi] ]"

set temp_lord [LordOfPlanet $i -second -fix -rasi]
	
if {$temp_lord > 0} {
  PutTxt "Second Lord of [NameOfPlanet $i ] is [NameOfPlanet $temp_lord]"
 }
 
}

PutTxt "--- Lord of planets nav ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 PutTxt "Lord of planet [NameOfPlanet $i ] is [NameOfPlanet [LordOfPlanet $i -nav -fix] ]"

set temp_lord [LordOfPlanet $i -second -nav -fix]
	
if {$temp_lord > 0} {
  PutTxt "Second Lord of [NameOfPlanet $i ] is [NameOfPlanet $temp_lord]"
 }
 
}


PutTxt "--- Lord of houses, in fixed zodiac, house and sign same direction ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12} {
 PutTxt "First Lord of house $i is [NameOfPlanet [FixLordOfHouse $i ] ] = [NameOfPlanet [LordOfHouse $i -shsd -rasi -fix] ]"
 
set temp_lord [LordOfHouse $i -shsd -second -rasi -fix]
	
if {$temp_lord > 0} {
  PutTxt "Second Lord of house $i is [NameOfPlanet $temp_lord]"
 }
 
}

PutTxt "--- Lord of houses, in Navamsas, house and sign same direction ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12} {
 PutTxt "First Lord of house $i is [NameOfPlanet [LordOfHouse $i -shsd -nav -fix] ]"
 
set temp_lord [LordOfHouse $i -shsd -second -nav -fix]
	
if {$temp_lord > 0} {
  PutTxt "Second Lord of house $i is [NameOfPlanet $temp_lord]"
 }
 
}

PutTxt "--- Lord of houses, in Navamsas, house and sign opposite direction ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12} {
 PutTxt "First Lord of house $i is [NameOfPlanet [LordOfHouse $i -shod -nav -fix] ]"
 
set temp_lord [LordOfHouse $i -shod -second -nav -fix]
	
if {$temp_lord > 0} {
  PutTxt "Second Lord of house $i is [NameOfPlanet $temp_lord]"
 }
 
}


PutTxt "--- Lord of house, in fixed zodiac, Dorsan method, rasi  ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12} {
 PutTxt "Lord of house $i is [NameOfPlanet [FixLordOfHouse2 $i ] ] = [NameOfPlanet [LordOfHouse $i -shod -rasi -fix] ]"
 
set temp_lord [LordOfHouse $i -second -rasi -fix -shod]

if {$temp_lord > 0} {
  PutTxt "Second Lord of house $i is [NameOfPlanet $temp_lord]"
 }

}


PutTxt "--- Lord of houses, in movable zodiac, house and sign same direction, rasi ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12} {
 PutTxt "First Lord of house $i is [NameOfPlanet [MovLordOfHouse $i ] ] = [NameOfPlanet [LordOfHouse $i -mov -shsd -rasi] ]"
 
set temp_lord [LordOfHouse $i -mov -shsd -second -rasi]

if {$temp_lord > 0} {
  PutTxt "Second Lord of house $i is [NameOfPlanet $temp_lord]"
 }
 
}

PutTxt "--- Lord of house, in movable zodiac, Dorsan method ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12} {
 PutTxt "Lord of house $i is [NameOfPlanet [MovLordOfHouse2 $i ] ] = [NameOfPlanet [LordOfHouse $i -mov -shod -rasi] ]"
 
set temp_lord [LordOfHouse $i -mov -second -shod -rasi]

if {$temp_lord > 0} {
  PutTxt "Second Lord of house $i is [NameOfPlanet $temp_lord]"
 }

}


PutTxt "--- Fixed longitude of houses, s.z.s.d. ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12 } {
  PutTxt "[FixLongOfHouse $i]=[LongOfHouse $i -shsd -fix -rasi]"
}

PutTxt "--- Fixed longitude of houses s.z.o.d. ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12 } {
  PutTxt "[FixLongOfHouse2 $i]=[LongOfHouse $i -shod -fix -rasi ]"
}

PutTxt "--- Movable longitude of houses, s.z.s.d. ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12 } {
  PutTxt [MovLongOfHouse $i]=[LongOfHouse $i -mov -shsd -rasi]
}

PutTxt "--- Movable longitude of houses, s.z.o.d. ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12 } {
  PutTxt [LongOfHouse $i -mov -shod -rasi]
}


PutTxt "--- interpretation text ---"

PutAstroTxt 1
PutAstroTxt 3
PutAstroTxt 2 -title
PutAstroTxt 5 -title

PutAstroTxt 5 -title -idstr

PutAstroTxt "UR8322" -title -fromidstr -idstr

set myidstr "NE8322"
PutAstroTxt $myidstr -title -fromidstr -idstr


PutTxt "--- do a calcul ---"
set j 519.5
set k -105.5
#set resultat [expr [FixLongOfPlanet $k] - [FixLongOfPlanet $j] ]
#PutTxt $resultat
set resultat [expr sqrt($j - $k)]
PutTxt " 25 = $resultat "

PutTxt "--- Subdivisions ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 PutTxt "Subdivision of [NameOfPlanet $i]"
 foreach {j} {0 1 2 3 4 5 6 7 8 9 10 11 12} {
  PutTxt -nonewline "[NameOfSub $j]=[FixSubOfPlanet $j $i] " 
  }
  PutTxt ""
}

PutTxt "--- Latitudes of planets ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 PutTxt [LatOfPlanet $i -mov]
}

PutTxt "--- retrograde planets  ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 PutTxt "[NameOfPlanet $i] = [PlanetIsRetro $i]"
}

PutTxt "--- Heliocentric longitudes ---"
foreach {i} {2 3 4 5 6 11 12 13} {
 PutTxt "[NameOfPlanet $i] = [HelioLong $i -mov]"
}

PutTxt "--- Heliocentric latitudes ---"
foreach {i} {2 3 4 5 6 11 12 13} {
 PutTxt " Helio Latitude of [NameOfPlanet $i] = [HelioLat $i -mov] "
}

PutTxt "--- Ayanamsa ---"
PutTxt [Ayanamsa]
PutTxt [Ayanamsa 2439018.51084 1667718.5]


PutTxt "30° Ayanamsa julian day ET = [Aya2JDET [D2R 30] ]"

set var_jd_zero 1667718.5
PutTxt "0°  Ayanamsa julian day ET (zero jd ET $var_jd_zero)= [Aya2JDET [D2R 0] $var_jd_zero]"
unset var_jd_zero

PutTxt "--- Zero julian day et ---"
PutTxt [ZeroJDET]

PutTxt "--- Type of house division ---"
PutTxt [TypeOfHouse]
PutTxt [TypeOfHouse -name]

PutTxt "--- Sun rise ---"
PutTxt [SunRiseUT]

PutTxt "--- Sun set ---"
PutTxt [SunSetUT]

PutTxt "--- Julian Day ---"

set date_sample_bis  "-2006-02-26"
set hour_sample_bis  "12:00:00"

set jd_temp_ut [DateUT2JD $date_sample_bis $hour_sample_bis ] 
set jd_temp_et [DateUT2JD -ET $date_sample_bis $hour_sample_bis ] 

PutTxt " $date_sample_bis $hour_sample_bis UT = $jd_temp_ut "
PutTxt " $date_sample_bis $hour_sample_bis ET = $jd_temp_et "

PutTxt " $jd_temp_et ET = [JD2UTDate $jd_temp_et -ET] UT "
PutTxt " $jd_temp_ut UT = [JD2UTDate $jd_temp_ut -UT] UT "

PutTxt "--- Strength of planets ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 PutTxt [StrengthOfPlanet $i]
}

PutTxt "--- KalaBala of planets"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 PutTxt "[NameOfPlanet $i] = [GetKalaBala $i]"
}

PutTxt "---Strength of houses ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12} {
 PutTxt [StrengthOfHouse $i]
}

PutTxt "--- FirstNewMoonUT ---"
PutTxt [FirstNewMoonUT]

PutTxt "--- IsFirstNewMoonEclipse ---"
PutTxt [IsFirstNewMoonEclipse]

PutTxt "--- FirstQuarterUT ---"
PutTxt [FirstQuarterUT]

PutTxt "--- FullMoonUT ---"
PutTxt [FullMoonUT]

PutTxt "--- IsFullMoonEclipse ---"
PutTxt [IsFullMoonEclipse]

PutTxt "--- LastQuarterUT ---"
PutTxt [LastQuarterUT]

PutTxt "--- SecondNewMoonUT ---"
PutTxt [SecondNewMoonUT]

PutTxt "--- IsSecondNewMoonEclipse ---"
PutTxt [IsSecondNewMoonEclipse]

PutTxt "--- Moon day ---"
PutTxt [MoonDay]

PutTxt "--- Year lord ---"
PutTxt [NameOfPlanet [YearLord]]

PutTxt "--- Month lord ---"
PutTxt [NameOfPlanet [MonthLord]]

PutTxt "--- Day lord ---"
PutTxt [NameOfPlanet [DayLord]]

PutTxt "--- Hour lord ---"
PutTxt [NameOfPlanet [HourLord]]

PutTxt "--- get angle between 0° and 360° ---"
PutTxt [ToZ360 721.0]
PutTxt [ToZ360 -362]

PutTxt "--- Find out if a planet is aspected by an other one in rasi. (first in the aspected planet) ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 foreach {j} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
  # i is the aspected planet, j is the aspecting planet
  PutTxt  -nonewline [HAspectedBy $i $j -rasi]
 }
  PutTxt ""
}

PutTxt "--- Find out if a planet is aspected by an other one in navamsa. (first in the aspected planet) ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 foreach {j} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
  # i is the aspected planet, j is the aspecting planet
  PutTxt  -nonewline [HAspectedBy $i $j -nav]
 }
  PutTxt ""
}

PutTxt "--- Friendship between planets rasi ----"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 foreach {j} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
  PutTxt  -nonewline [HFriendShip $i $j -rasi]
  PutTxt  -nonewline " "
 }
 PutTxt ""
}

PutTxt "--- Friendship between planets navamsa ----"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 foreach {j} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
  PutTxt -nonewline [HFriendShip $i $j -nav]
  PutTxt -nonewline " "
 }
 PutTxt ""
}

PutTxt "--- Array of bindus before and after reduction ----"
foreach {i} { 0 1 2 3 4 5 6 7 8 9 10 11 } {
 foreach {j} { 0 1 2 3 4 5 6 } {
  PutTxt  -nonewline [NumberOfBindus $i $j -BR]
  PutTxt  -nonewline " "
  PutTxt  -nonewline [NumberOfBindus $i $j -AR]
  PutTxt  -nonewline " "
 }
 PutTxt ""
}

PutTxt "--- Stars conjunction with planet 1° orb ----"
foreach {i} { 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 } {
 set id_star [StarConjunctionWith $i 1]
 
 if { $id_star > 0 } {
   PutTxt "[NameOfPlanet $i] conjunction with [NameOfStar [IdStar2Num $id_star]]"
 } else {
   PutTxt "No star cunjunction for [NameOfPlanet $i] "
   }
 
}

PutTxt "--- Quality of planets in crosschecking ---"
for {set i 0} {$i < 15} {incr i} {
 for {set j 0} {$j < 16} {incr j} {
  PutTxt  -nonewline [HQualityOfPlanet $i $j]
  PutTxt  -nonewline " "
 }
 PutTxt " "
}

PutTxt "---- Quality of aspect in rasi and navamsa --- "
for {set i 0} {$i < 15} {incr i} {
 for {set j 0} {$j < 15} {incr j} {
 set quality_rasi [HQualityOfAspect $i $j 7]
 set quality_navamsa [HQualityOfAspect $i $j 15]

  if {$quality_rasi != 99} {
   PutTxt "[NameOfPlanet $j] -> [NameOfPlanet $i] rasi = $quality_rasi"
  }

  if {$quality_navamsa != 99} {
   PutTxt "[NameOfPlanet $j] -> [NameOfPlanet $i] navamsa = $quality_navamsa"
  }

 }
}

PutTxt "--- LongitudeOfBirthPlace ----"
PutTxt [LongitudeOfBirthPlace]
PutTxt [LongitudeOfBirthPlace -degrees]
PutTxt [LongitudeOfBirthPlace -noformat]
PutTxt [LongitudeOfBirthPlace -degrees -noformat]

PutTxt "--- LatitudeOfBirthPlace ----"
PutTxt [LatitudeOfBirthPlace]
PutTxt [LatitudeOfBirthPlace -noformat]

PutTxt "--- Degrees to Radians ---"
PutTxt [D2R 360.0]

PutTxt "--- Radians to Degrees ---"
PutTxt [R2D 3.141592654]

PutTxt "---Mean Sun RA Speed rads ---"
PutTxt [MeanRASunSpeed]

PutTxt "---Mean Sun RA Speed degs ---"
set val [MeanRASunSpeed]
PutTxt [ R2D $val ]

PutTxt "--- BirthDateHourUT ---"
PutTxt [BirthDateHourUT]

PutTxt "--- EpsilonAngleEOD ---"

PutTxt [EpsilonAngleEOD]
PutTxt [EpsilonAngleEOD -date $date_sample $hour_sample ]

PutTxt "--- SiderealTime ---"
PutTxt [SiderealTime]
PutTxt [SiderealTime $date_sample $hour_sample -place_longitude $longitude_sample]
PutTxt [SiderealTime $date_sample $hour_sample -place_longitude $longitude_sample_degrees]

set var_longitude  [LongitudeOfBirthPlace]
set var_birthdatehour [BirthDateHourUT]
set var_ts [SiderealTime $var_birthdatehour  -place_longitude $var_longitude ]
PutTxt "sidereal time in radians = $var_ts"

set var_ts [R2D $var_ts]
set var_ts [expr $var_ts/15.0]
PutTxt "sidereal time in hours = $var_ts"

set var_longitude  [LongitudeOfBirthPlace -degrees]
set var_ts [SiderealTime $var_birthdatehour -place_longitude $var_longitude]

PutTxt "sidereal time in radians = $var_ts"

set var_ts [R2D $var_ts]
set var_ts [expr $var_ts/15.0]
PutTxt "sidereal time in hours = $var_ts"

PutTxt "---- direction Sun to Venus ---"

set longitude_sun [MovLongOfPlanet 0 ]
# translate to radians
set longitude_sun [D2R $longitude_sun]
# sun latitude is always zero
set latitude_sun 0

set longitude_venus [MovLongOfPlanet 3 ]
# translate to radians
set longitude_venus [D2R $longitude_venus]
set latitude_venus [LatOfPlanet 3 -mov]
# translate to radians
set latitude_venus [D2R $latitude_venus]

set place_latitude [LatitudeOfBirthPlace -noformat]
# translate to radians
set place_latitude [D2R $place_latitude]

set ts [SiderealTime]
set epsilon [EpsilonAngleEOD]
set msras [MeanRASunSpeed]

# debug output
PutTxt "Sun longitude = $longitude_sun"
PutTxt "Sun latitude  = $latitude_sun"
PutTxt "Venus longitude = $longitude_venus"
PutTxt "Venus latitude = $latitude_venus"
PutTxt "Place latitude = $place_latitude"
PutTxt "Sidereal Time  = $ts"
PutTxt "epsilon = $epsilon"
PutTxt "Mean Sun Speed RA = $msras"

# call PrimaryDirection command

set age [PrimaryDirection $longitude_sun $latitude_sun $longitude_venus $latitude_venus $place_latitude $ts $epsilon $msras]
PutTxt "Direction Sun to Venus at $age year old"

#------test direction for 2 planets A and B, A and B identified by their number-----

set npA 2
set npB 5

PutTxt "--- test direction [NameOfPlanet $npA] to [NameOfPlanet $npB] ---"

#--longitude and latitude of A
set longitudeA [MovLongOfPlanet $npA ]
# translate to radians
set longitudeA [D2R $longitudeA]

set latitudeA  [LatOfPlanet $npA -mov]
# translate to radians
set latitudeA [D2R $latitudeA]

#--longitude and latitude of B
set longitudeB [MovLongOfPlanet $npB ]
# translate to radians
set longitudeB [D2R $longitudeB]

set latitudeB  [LatOfPlanet $npB -mov]
# translate to radians
set latitudeB [D2R $latitudeB]

set place_latitude [LatitudeOfBirthPlace -noformat]
# translate to radians
set place_latitude [D2R $place_latitude]

set ts [SiderealTime]
set epsilon [EpsilonAngleEOD]
# zero to ignore sun ar correction
set msras 0

# debug output
PutTxt "longitude of [NameOfPlanet $npA]= $longitudeA"
PutTxt "latitude  of [NameOfPlanet $npA]= $latitudeA"
PutTxt "longitude of [NameOfPlanet $npB]= $longitudeB"
PutTxt "latitude  of [NameOfPlanet $npB]= $latitudeB"
PutTxt "Place latitude = $place_latitude"
PutTxt "Sidereal Time  = $ts"
PutTxt "epsilon = $epsilon"

# call PrimaryDirection command

set age [PrimaryDirection $longitudeA $latitudeA $longitudeB $latitudeB $place_latitude $ts $epsilon $msras]
PutTxt "Direction [NameOfPlanet $npA] to [NameOfPlanet $npB] at $age year old"

PutTxt "-------Elevation and Azimuth of planets-------"
for {set i 0} {$i < 15} {incr i} {

PutTxt "[NameOfPlanet $i]: Elevation = [AzimuthElevationOfPlanet $i -elevation] Azimuth = [AzimuthElevationOfPlanet $i -azimuth]"

}


#--- MovLordOfHouse  
PutTxt "--------------- Lords of Movable signs, sign and house same direction ----------------"

 for {set i 1} {$i<=12} {incr i} {
 
 PutTxt "Lord of House $i is [ NameOfPlanet [MovLordOfHouse $i] ]"
 
 }


#--- MovLordOfHouse2  
PutTxt "-------------- Lords of Movable signs, sign and house opposite direction ---------------"

for {set i 1} {$i<=12} {incr i} {
 
 PutTxt "Lord of House $i is [ NameOfPlanet [MovLordOfHouse2 $i] ]"
 
 }

# AstroIdStr2nTxt
set j 2
set i  [AstroIdStr2nTxt "Gajakesari Yoga" $j]

PutTxt "test AstroIdStr2nTxt Gajakesari Yoga is paragraph $i in interpretation file $j"

PutTxt "-------------- GetHoroscopeDirectory ---------------"
PutTxt "Horoscope directory is [GetHoroscopeDirectory]"

PutTxt "-------------- GetHousesDomification ---------------"
PutTxt "Houses domification is [GetHousesDomification]"

PutTxt "-------------- SetHousesDomification to ModusAequalis ---------------"
SetHousesDomification ModusAequalis

PutTxt "Houses domification is [GetHousesDomification]"

for {set i 1} {$i < 13} {incr i} {
PutTxt "ModusAequalis fixed sign of house $i is [NameOfSign [SignOfHouse $i -fix -rasi -shsd]]"
}

PutTxt "--- Planets in houses, house and sign same direction ModusAequalis ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 if {($i != 7) && ($i != 8)} {
  PutTxt "[NameOfPlanet $i] in [HouseOfPlanet $i -rasi -shsd -center]"
 } 
}
PutTxt "---- Signs color ----"
for {set i 0} {$i < 12} {incr i} {
 PutTxt "Color of [NameOfSign $i] is [GetSignColor $i]"
}

PutTxt "---- Global pen color ----"
PutTxt "Color of pen is [ GetPenColor ]"

PutTxt "---- Global Background color ----"
PutTxt "Color Background [ GetBackgroundColor ]"


PutTxt "---- Fill signs ----"
PutTxt "FillSignsOption is [ FillSignsOption ]"

PutTxt "---- Planets colors ----"

for {set p 0 } { $p < 18} { incr p} {
 for {set s 0 } { $s < 12} { incr s} {
 
 PutTxt " Color of pen for planet $p [NameOfPlanet $p] in sign [NameOfSign $s] is [ GetPlanetColor $p $s -pen ] "
 PutTxt " Retro pen color for planet $p is [ GetPlanetColor $p $s -pen -retro] "
 
 PutTxt " Color of brush for planet $p [NameOfPlanet $p] in sign [NameOfSign $s] is [ GetPlanetColor $p $s -brush ] "
 PutTxt " Retro brush color for planet $p is [ GetPlanetColor $p $s -brush -retro] "
 
 }
}


PutTxt "test [GetPlanetColor 6 10 -pen -retro ]"

PutTxt "--- SetHouseCuspCenter ---"
SetHouseCuspCenter -true
PutTxt "SetHouseCuspCenter -true = [isHouseCuspCenter]"

SetHouseCuspCenter -false
PutTxt "SetHouseCuspCenter -false = [isHouseCuspCenter]"

set orb 1
PutTxt "***************** Stars conjunction with planets orb $orb° **************"

set n_stars [GetStarsCount]

for {set i 0} {$i < $n_stars} { incr i} {

 for { set p 0 } { $p < 15 } { incr p} {

  set idStar [IdStarConjunctionWithPlanet $p $i $orb]

  if { $idStar != -1 } {
 
    # NameOfStar and CommentOfStar take the position of the star in the list as argument (the "internal number") 
    PutTxt "[NameOfPlanet $p] conjunction with star $idStar [NameOfStar $i] [CommentOfStar $i] "
   
   }

 }
 

}

PutTxt "****"
