
# Rebuild index 
# this allow you to change interpretation files and check this script output without need of restarting Proastro
# usefull if you are testing changes in interpretation files
# RebuildInterpTxtIndex

PutTxt "Interpretation file 3"

set nid_file 3
set max_item [nfii $nid_file] 

for {set i 1} {$i <= $max_item} {incr i} {
 PutTxt -nonewline "N° $i = "
 PutAstroTxt $i $nid_file -notxt -idstr -noprint
 PutTxt ""
}

PutTxt "Interpretation file 2"

set nid_file 2
set max_item [nfii $nid_file] 

for {set i 1} {$i <= $max_item} {incr i} {
 PutTxt -nonewline "N° $i = "
 PutAstroTxt $i $nid_file -notxt -idstr -noprint
 PutTxt ""
}

set nid_file 1
set max_item [nfii $nid_file] 

PutTxt "Interpretation file 1"

for {set i 1} {$i <= $max_item} {incr i} {
 PutTxt -nonewline "N° $i = "
 PutAstroTxt $i $nid_file -notxt -idstr -noprint
 PutTxt ""
}


