
#--- get infos from horoscope 1, 2 and 3

# open 3 horoscopes 

for {set z 1} {$z <= 3} {incr z} {

 set title "Open Horoscope $z"

 if { ![SetCurrentHoroscope -title $title] } {
  
  PutTxt "Farewell..."
  return
 }

}


PutTxt "Horoscopes loaded"

SetCurrentHoroscope -nh 1

PutTxt "Name for Horoscope [GetCurrentHoroscopeNumber] = [Name]"

SetCurrentHoroscope -nh 2

PutTxt "Name for Horoscope [GetCurrentHoroscopeNumber] = [Name]"

SetCurrentHoroscope -nh 3

PutTxt "Name for Horoscope [GetCurrentHoroscopeNumber] = [Name]"


PutTxt "Total=[GetHoroscopeCount] horoscope"


PutTxt "Removing horoscope 2"
RemoveHoroscope 2
PutTxt "Name for Horoscope [GetCurrentHoroscopeNumber] = [Name]"

PutTxt "Removing horoscope 1"
RemoveHoroscope 1
PutTxt "Name for Horoscope [GetCurrentHoroscopeNumber] = [Name]"

PutTxt "Removing horoscope 1"
RemoveHoroscope 1
PutTxt "GetCurrentHoroscopeNumber = [GetCurrentHoroscopeNumber]"

PutTxt "Total=[GetHoroscopeCount] horoscope"



#--- display the id of the intepretation file paragraph

set nfile 1
set nitems [nfii $nfile]

for {set i 1} {$i <= $nitems} {incr i} {

 PutTxt -nonewline "N° $i = "
 PutAstroTxt $i $nfile -notxt -idstr 
 PutTxt ""

}

PutTxt "Total $nitems paragraphs"

set n_stars [GetStarsCount]

PutTxt "***************** List of stars **************"
PutTxt " Number of stars =$n_stars "

for {set i 0} {$i < $n_stars} { incr i} {
 PutTxt "star  [IdOfStar $i] = [NameOfStar $i]"
}

PutTxt "******************************* "

#SetAstroType
set astrotype [GetAstroType]
PutTxt "Old astrology type is $astrotype"
if { $astrotype == 1 } {
 SetAstroType 0
} else {
 SetAstroType 1
}
PutTxt "New astrology type is [GetAstroType]"

#GetFortunDayNight
PutTxt "Fortun Day Night is [GetFortunDayNight]"

#SetFortunDayNight
SetFortunDayNight 0
PutTxt "Fortun Day Night is [GetFortunDayNight] must be 0"
SetFortunDayNight 1
PutTxt "Fortun Day Night is [GetFortunDayNight] must be 1"

#GetZeroDateUT
PutTxt "The initial Zero date is : [GetZeroDateUT]"

#SetZeroDateUT
set new_dh_zero "-150-12-13 14:01:02.03 JD"
SetZeroDateUT $new_dh_zero
PutTxt "The new Zero date is : [GetZeroDateUT]   (should be $new_dh_zero)"

#SetSHSD
PutTxt "SHSD is: [isSHSD]"
SetSHSD 0
PutTxt "SHSD is: [isSHSD] (should be 0)"
SetSHSD 1
PutTxt "SHSD is: [isSHSD] (should be 1)"

# GetPlanetPP

# Open the horoscope 
SetCurrentHoroscope

PutTxt "---Checking aspects for [FirstName] [Name]---"

for { set p1 0 } { $p1 < 18 } { incr p1 } {
 for { set p2 [expr $p1 + 1 ] } { $p2 < 18 } { incr p2 } {
  
  set list [GetAspectPP $p1 $p2]
  
  if { [ llength $list] != 0 } {
     PutTxt "---Aspect found between [NameOfPlanet $p1] and [NameOfPlanet $p2]"	
	 PutTxt "Name: [lindex $list 0]" 
	 PutTxt "Value: [lindex $list 1]"
	 PutTxt "Orb: [lindex $list 2]"
	 PutTxt "Diff between planets: [lindex $list 3]"
   }
 }
}

PutTxt "------"

# GetPlanetPH

# Open the horoscope 
# SetCurrentHoroscope already open

PutTxt "---Checking aspects on houses for [FirstName] [Name]---"

for { set h 1 } { $h < 13 } { incr h } {
 for { set p 0 } { $p < 18 } { incr p } {
   
  set list [GetAspectPH $p $h]
  
  if { [ llength $list] != 0 } {
     PutTxt "---Aspect found between house $h and [NameOfPlanet $p]"	
	 PutTxt "Name: [lindex $list 0]" 
	 PutTxt "Value: [lindex $list 1]"
	 PutTxt "Orb: [lindex $list 2]"
	 PutTxt "Diff between planet and house: [lindex $list 3]"
   }
 }
}

PutTxt "------"

PutTxt "---Rebuild interpretation files index---"

# Rebuild index
RebuildInterpTxtIndex







